Package com.google.android.exoplayer2.ext.cronet

## Class CronetEngineWrapper

- java.lang.Object
- - com.google.android.exoplayer2.ext.cronet.CronetEngineWrapper

-     @Deprecated
      public final class CronetEngineWrapper
      extends Object

  Deprecated.
  Use `CronetEngine` directly. See the Android developer guide to learn how to instantiate a `CronetEngine` for use by your application. You can also use `CronetUtil.buildCronetEngine(android.content.Context)` to build a `CronetEngine` suitable for use with `CronetDataSource`.
  A wrapper class for a `CronetEngine`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CronetEngineWrapper​(Context context)` | Deprecated. Creates a wrapper for a `CronetEngine` built using the most suitable `CronetProvider`.
    `CronetEngineWrapper​(Context context, String userAgent, boolean preferGooglePlayServices)` | Deprecated. Creates a wrapper for a `CronetEngine` built using the most suitable `CronetProvider`.
    `CronetEngineWrapper​(org.chromium.net.CronetEngine cronetEngine)` | Deprecated. Creates a wrapper for an existing `CronetEngine`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CronetEngineWrapper

          public CronetEngineWrapper​(Context context)

      Deprecated.
      Creates a wrapper for a `CronetEngine` built using the most suitable `CronetProvider`. When natively bundled Cronet and GMSCore Cronet are both available, the natively bundled provider is preferred.
      Parameters:
        `context` - A context.

    - #### CronetEngineWrapper

          public CronetEngineWrapper​(Context context,
                                     @Nullable
                                     String userAgent,
                                     boolean preferGooglePlayServices)

      Deprecated.
      Creates a wrapper for a `CronetEngine` built using the most suitable `CronetProvider`. When natively bundled Cronet and GMSCore Cronet are both available, `preferGMSCoreCronet` determines which is preferred.
      Parameters:
        `context` - A context.
        `userAgent` - A default user agent, or `null` to use a default user agent of the `CronetEngine`.
        `preferGooglePlayServices` - Whether Cronet from Google Play Services should be preferred over Cronet Embedded, if both are available.

    - #### CronetEngineWrapper

          public CronetEngineWrapper​(org.chromium.net.CronetEngine cronetEngine)

      Deprecated.
      Creates a wrapper for an existing `CronetEngine`.
      Parameters:
        `cronetEngine` - The CronetEngine to wrap.